MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::LimitExceeded< T > Class Template Reference

This is thrown when a limit is exceeded. More...

`#include <scexception.h>`

Inheritance diagram for sc::LimitExceeded< T >:
[legend]
Collaboration diagram for sc::LimitExceeded< T >:
[legend]

## Public Member Functions
| LimitExceeded (const char *description, const char *file, int line, T lim, T val, const ClassDesc *class_desc=0, const char *exception_type="LimitExceeded") throw ()
| LimitExceeded (const LimitExceeded &ref) throw ()
T | tolerance () throw ()
T | value () throw ()
Public Member Functions inherited from sc::SCException
| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what(). More...
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written. More...

## Detailed Description

### template<class T>
class sc::LimitExceeded< T >

This is thrown when a limit is exceeded.

It is more general than ToleranceExceeded. For problems that are numerical in nature and use double types, then ToleranceExceeded should be used instead.

The documentation for this class was generated from the following file:

- scexception.h